
Katello - Bug #6897

unable to view foreman hosts show page

08/03/2014 10:13 AM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello Recycle Bin   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

this is probably a side effect of some other problem, but it completely locks the ui.

RestClient::ResourceNotFound

Katello::Resources::Candlepin::CandlepinResource: 404 Resource Not Found {"displayMessage":"Runtim

e Error Could not find resource for relative : /consumers//compliance of full path: https://localh

ost:8443/candlepin/consumers//compliance at org.jboss.resteasy.core.registry.PathParamSegment.matc

hPattern:209","requestUuid":"bd9367c6-392e-4014-bc73-1c4e508c7ff6"} (GET /candlepin/consumers//com

pliance)

app/views/hosts/_overview.html.erb:16:in `_app_views_hosts__overview_html_erb___404270408513612554

8_102799660'

app/views/hosts/show.html.erb:40:in `_app_views_hosts_show_html_erb__152036326598325641_7033164078

6560'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Related issues:

Related to Katello - Bug #6898: deleteing a host does not delete a content ho... Duplicate 08/04/2014

History

#1 - 08/04/2014 10:53 AM - Eric Helms

- Related to Bug #6898: deleteing a host does not delete a content host, generates a FK constrain error added

#2 - 08/04/2014 10:48 PM - Eric Helms

- Category set to 78

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 12/21/2015 11:50 AM - Eric Helms

- Status changed from New to Duplicate

#4 - 07/08/2016 11:21 AM - Eric Helms

- translation missing: en.field_release set to 166
